## ocaml-pulseaudio 0.1.2

=== examples/noise/Makefile ===
SOURCES=noise.ml
RESULT=noise
INCDIRS=../../src
LIBS=pulseaudio

all: dnc

-include OCamlMakefile

=== debian/changelog ===
ocaml-pulseaudio (0.1.2-1build3) xenial; urgency=medium

  * No-change rebuild against ocaml 4.02.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@canonical.com>  Tue, 03 Nov 2015 13:50:53 -0600

ocaml-pulseaudio (0.1.2-1build2) trusty; urgency=medium

  * Rebuild for ocaml-4.01.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Dec 2013 16:17:34 +0000

ocaml-pulseaudio (0.1.2-1build1) precise; urgency=low

  * Rebuild for OCaml 3.12.1.

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 19 Nov 2011 00:53:23 +0000

ocaml-pulseaudio (0.1.2-1) unstable; urgency=low

  * New upstream release.
  * Bumped standards version to 3.9.2 
  * Switch for 3.0 (quilt) source format.

 -- Romain Beauxis <toots@rastageeks.org>  Fri, 05 Aug 2011 20:05:25 -0500

ocaml-pulseaudio (0.1.1-1) unstable; urgency=low

  [ Stephane Glondu ]
  * Use ocaml.mk as a CDBS "rules" file (Closes: #549805)

  [ Romain Beauxis ]
  * New upstream release.
  * Bumped standards verstion to 3.8.3
  * Fixed Vcs-* fields.
  * Switch to new automatic dependency system.

 -- Romain Beauxis <toots@rastageeks.org>  Mon, 12 Oct 2009 17:16:02 -0500

ocaml-pulseaudio (0.1.0-3) unstable; urgency=low

  * Added missing .a files to libpulse-ocaml-dev. 

 -- Romain Beauxis <toots@rastageeks.org>  Mon, 18 May 2009 23:26:08 +1100

ocaml-pulseaudio (0.1.0-2) unstable; urgency=low

  * Fixed build on arch without native compiler. 

 -- Romain Beauxis <toots@rastageeks.org>  Mon, 13 Apr 2009 18:25:56 -0400

ocaml-pulseaudio (0.1.0-1) unstable; urgency=low

  * Initial upload to unstable (Closes: #515812)

 -- Romain Beauxis <toots@rastageeks.org>  Fri, 06 Mar 2009 18:56:25 +0100

=== debian/control ===
Source: ocaml-pulseaudio
Section: ocaml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Samuel Mimram <smimram@debian.org>, Romain Beauxis <toots@rastageeks.org>
Build-Depends: cdbs, cdbs (>= 0.4.53), debhelper (>= 7.0.1), ocaml-nox, dh-ocaml (>= 0.9), 
               libpulse-dev, ocaml-findlib (>= 1.2.4), pkg-config
Standards-Version: 3.9.2
Homepage: http://savonet.sourceforge.net/
Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/ocaml-pulseaudio.git
Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/ocaml-pulseaudio.git

Package: libpulse-ocaml
Architecture: any
Depends: ${ocaml:Depends}, ${shlibs:Depends}, ${misc:Depends}
Provides: ${ocaml:Provides}
Description: OCaml interface to the PulseAudio sound server
 This package provied an interface to the PulseAudio sound server for 
 OCaml programmers.
 .
 PulseAudio, previously known as Polypaudio, is a sound server for POSIX and
 WIN32 systems. It is a drop in replacement for the ESD sound server with
 much better latency, mixing/re-sampling quality and overall architecture.
 .
 This package contains only the shared runtime stub libraries.

Package: libpulse-ocaml-dev
Architecture: any
Depends: ${ocaml:Depends}, libpulse-dev, 
         libpulse-ocaml (= ${binary:Version}), ocaml-findlib, ${misc:Depends}
Provides: ${ocaml:Provides}
Description: OCaml interface to the pulseaudio library
 This package provied an interface to the PulseAudio sound server for
 OCaml programmers.
 .
 PulseAudio, previously known as Polypaudio, is a sound server for POSIX and
 WIN32 systems. It is a drop in replacement for the ESD sound server with
 much better latency, mixing/re-sampling quality and overall architecture.
 .
 This package contains all the development stuff you need to develop
 OCaml programs which use ocaml-pulseaudio.

=== debian/watch ===
version=3
http://sf.net/savonet/ocaml-pulseaudio-(.+)\.tar\.gz

## ocaml-pulseaudio 0.1.3

=== examples/rec/Makefile ===
SOURCES=rec.ml
RESULT=rec
INCDIRS=../../src
LIBS=pulseaudio

all: dnc

-include OCamlMakefile

=== debian/changelog ===
ocaml-pulseaudio (0.1.3-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Remove Samuel and Romain from Uploaders
  * Update Vcs-* to point to salsa
  * Update Homepage and debian/watch
  * Bump debhelper compat level to 13 and stop using cdbs
  * Bump Standards-Version to 4.5.0
  * Add Rules-Requires-Root: no

 -- Stéphane Glondu <glondu@debian.org>  Wed, 26 Aug 2020 08:07:02 +0200

=== debian/control ===
--- 
+++ 
@@ -2,20 +2,25 @@
 Section: ocaml
 Priority: optional
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
-Uploaders: Samuel Mimram <smimram@debian.org>, Romain Beauxis <toots@rastageeks.org>
-Build-Depends: cdbs, cdbs (>= 0.4.53), debhelper (>= 7.0.1), ocaml-nox, dh-ocaml (>= 0.9), 
-               libpulse-dev, ocaml-findlib (>= 1.2.4), pkg-config
-Standards-Version: 3.9.2
-Homepage: http://savonet.sourceforge.net/
-Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/ocaml-pulseaudio.git
-Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/ocaml-pulseaudio.git
+Build-Depends:
+ debhelper-compat (= 13),
+ ocaml-nox,
+ dh-ocaml,
+ libpulse-dev,
+ ocaml-findlib,
+ pkg-config
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
+Homepage: https://github.com/savonet/ocaml-pulseaudio
+Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-pulseaudio.git
+Vcs-Browser: https://salsa.debian.org/ocaml-team/ocaml-pulseaudio
 
 Package: libpulse-ocaml
 Architecture: any
 Depends: ${ocaml:Depends}, ${shlibs:Depends}, ${misc:Depends}
 Provides: ${ocaml:Provides}
 Description: OCaml interface to the PulseAudio sound server
- This package provied an interface to the PulseAudio sound server for 
+ This package provied an interface to the PulseAudio sound server for
  OCaml programmers.
  .
  PulseAudio, previously known as Polypaudio, is a sound server for POSIX and
@@ -26,7 +31,7 @@
 
 Package: libpulse-ocaml-dev
 Architecture: any
-Depends: ${ocaml:Depends}, libpulse-dev, 
+Depends: ${ocaml:Depends}, libpulse-dev,
          libpulse-ocaml (= ${binary:Version}), ocaml-findlib, ${misc:Depends}
 Provides: ${ocaml:Provides}
 Description: OCaml interface to the pulseaudio library

=== debian/watch ===
version=3
https://github.com/savonet/ocaml-pulseaudio/releases .*ocaml-pulseaudio-([0-9.]+)\.tar\.gz

## ocaml-pulseaudio 0.1.4

=== debian/changelog ===
ocaml-pulseaudio (0.1.4-1build1) jammy; urgency=medium

  * No-change rebuild for ocaml abi changes.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 24 Jan 2022 17:21:19 +0100

ocaml-pulseaudio (0.1.4-1) unstable; urgency=low

  [ Stéphane Glondu ]
  * Team upload
  * New upstream release
  * Bump Standards-Version to 4.6.0

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Name (from
    ./configure), Repository, Repository-Browse.

 -- Stéphane Glondu <glondu@debian.org>  Sun, 21 Nov 2021 14:56:37 +0100

=== debian/control ===
--- 
+++ 
@@ -7,9 +7,10 @@
  ocaml-nox,
  dh-ocaml,
  libpulse-dev,
- ocaml-findlib,
+ ocaml-dune,
+ libdune-ocaml-dev,
  pkg-config
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://github.com/savonet/ocaml-pulseaudio
 Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-pulseaudio.git

## ocaml-pulseaudio 0.1.5

=== debian/changelog ===
ocaml-pulseaudio (0.1.5-1) unstable; urgency=medium

  * Team upload
  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Fri, 04 Mar 2022 09:54:55 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Build-Depends:
  debhelper-compat (= 13),
- ocaml-nox,
+ ocaml,
  dh-ocaml,
  libpulse-dev,
  ocaml-dune,

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/ocaml/ocamlvars.mk

DESTDIR=$(CURDIR)/debian/tmp

%:
	dh $@ --with ocaml

override_dh_auto_build:
	dune build -p pulseaudio

override_dh_auto_install:
	dune install --destdir=$(DESTDIR) --prefix=/usr --libdir=..$(OCAML_STDLIB_DIR)
